Subject: [PATCH] ARM: dts: orion5x: add mtd flash support to linkstation lswtgl

From: [email-masked] (Andrew Lunn)
Date: Tue, 2 Feb 2016 03:20:35 +0100

> I find "Documentation/devicetree/bindings/mtd/partition.txt" is quite
> new and was just updated in kernel 4.4.
> So I tried "linux-image-4.4.0-trunk-orion5x" in Debian experimental
> repo, YES, with my updated dts, the MTD goes back to work as
> partitioned as before.
> 
> In this way, if I write dts for partition like this, user cannot
> simply take dtb from kernel 4.4/4.5 to their stable kernel (such as
> Debian Jessie's 3.16-ckt series).
> For some advanced functionality, this kind of non-backport capable
> change is deserved; but for partitions IMHO it doesn't deserve,
> especially for a device/platform existing for more than 5 years.
> 
> What do you think?

Since this might be used with older Debian kernel, skipping the
partitions subnode is O.K. for me.

	   Andrew